## Bsoft program

# bfft

### Usage: bfft [options] file.hkl file.mrc

Fast Fourier transforms to and from image and reflection formats.

### Actions:

-inverse | Backward transform (default forward).
-phaseshift | Shift phase by half of the size.
-powerspectrum | Calculate powerspectrum estimate (can be used with the -tile option).
-logarithm | Calculate the logarithm of the power spectrum.
-color 1.5 | Generate a phase-coloured power spectrum: amplitude scaling.
-zeroorigin | Zero the transform origin.
-halfshift | Shift correlation map by half the size to put the origin in the middle.
-test 2,75,278,1 | Test FFT execution time: dimensions,size min and max, and optimization flag.

### Parameters:

-verbose 7 | Verbosity of output.
-datatype u | Force writing of a new data type.
-resolution 4.5,130 | Resolution (default 0 - 10000 angstrom).
-free 15 | % flagged for R-free calculations (default 10).
-origin 0,-10,30 | Set origin, used with -size option (default 0,0,0).
-size 22,33,14 | Size for transform or hkl input (voxels, default from data).
-sampling 2,3.5,1 | Sampling (angstrom/voxel, a single value sets all three).
-unitcell | 100,100,100,90,90,90 Unit cell parameters.
-symmetry 1 | Space group.
-tile 1024,1024,1 | Size of tiles for calculating a power spectrum.

Bsoft version 2.0.3-20180917 (64 bit)